<h1 mat-dialog-title>Cadastro de usuários</h1>
<div mat-dialog-content>

  <div *ngIf="hide">
    <mat-form-field class="fullwidth">
      <input type="number" disabled="true" matInput placeholder="Id do Usuário" id="id" [(ngModel)]="usuario.id"
        name="id">
    </mat-form-field>
  </div>

  <p>
    <mat-form-field class="fullwidth">
      <input type="text" matInput placeholder="Matrícula" id="matricula" [(ngModel)]="usuario.matricula"
        name="matricula">
    </mat-form-field>
  </p>

  <td>
    <mat-form-field class="fullwidth">
      <input type="email" matInput placeholder="E-mail" id="email" [(ngModel)]="usuario.email" name="email">
    </mat-form-field>
  </td>

  <p>
    <mat-form-field class="fullwidth">
      <input type="password" matInput placeholder="Senha" id="senha" [(ngModel)]="usuario.senha" name="senha">
    </mat-form-field>
  </p>

  <td><label id="la">Perfil de Acesso</label>
  </td>
  <p>
    <mat-form-field>
      <mat-select type="text" placeholder="{{usuario.perfil}}" (selectionChange)="changeClient($event.value)">
        <mat-option *ngFor="let acesso of perfis" [value]="acesso.value">{{acesso.value}}
        </mat-option>
      </mat-select>
    </mat-form-field>
  </p>
  <!--<td>
    <mat-form-field class="fullwidth">
      <input type="text" matInput placeholder="Perfil" id="perfil" [(ngModel)]="usuario.perfil" name="perfil">
    </mat-form-field>
  </td>-->

  <p>
    <button id="btClose" mat-button (click)="onCloseDialog()">Sair</button>
    <button id="btSave" mat-button (click)="onValidateForm()">Salvar</button>
  </p>

</div>